resource "aws_s3_bucket" "prod-bucket-privado-1" {
  bucket_prefix = var.private-bucket_prefix
  tags = var.private-tags
}

resource "aws_s3_bucket" "prod-bucket-publico-1" {
  bucket_prefix = var.public-bucket_prefix
  tags = var.public-tags
}

resource "aws_s3_bucket_acl" "prod-bucket-privado-1-acl" {
  bucket = aws_s3_bucket.prod-bucket-privado-1.id
  acl    = "private"
}

resource "aws_s3_bucket_acl" "prod-bucket-publico-1-acl" {
  bucket = aws_s3_bucket.prod-bucket-publico-1.id
  acl    = "public-read-write"
}

resource "aws_s3_bucket_object" "object_on_private_bucket" {
  bucket = "${aws_s3_bucket.prod-bucket-privado-1.id}"
  key    = "${var.destFileName-private}"
  source = "${var.sourceFile-private}"
  
}

resource "aws_s3_bucket_object" "object_on_public_bucket" {
  bucket = "${aws_s3_bucket.prod-bucket-publico-1.id}"
  key    = "${var.destFileName-public}"
  source = "${var.sourceFile-public}"
  acl    = "public-read-write"
}



resource "aws_iam_user" "usr-user1" {
  name  = var.name1
}

resource "aws_iam_access_key" "ak-key1" {
  user = aws_iam_user.usr-user1.name
}

resource "aws_iam_user_policy" "uip-policy1" {
  name = "cpna-politica-s3-admin"
  user = aws_iam_user.usr-user1.name
  
  policy = <<EOF
{
  "Version": "2012-10-17",
  "Statement": [
    {
      "Action": [
        "iam:Get*",
		"iam:List*",
		"s3:*"
      ],
      "Effect": "Allow",
      "Resource": "*"
    }
  ]
}
EOF
}

